#!groovy
def GetLog(build_url) {
    //withCredentials([string(credentialsId: 'JenkinsApi', variable: 'token')])
    //responce = httprequest(httpMode: 'GET',
    //  url: 'http//admin:token@${BUILD_URL}/consoleText',
    //  validResponces: '200')
    return build_url
}


#!groovy
pipeline {
    agent {
       label 'master'
    }

    stages {
      stage("build project") {
        steps {
          sh 'go build main.go webPage.go'
        }
      }
      stage("deploy docker") {
        steps{
          sh 'docker-compose stop schedule'
          sh 'docker-compose up --build -d'
        }
      } 
    }
    post {
      success {
        echo 'I succeeeded!'
        

      }
      unstable {
        echo 'I am unstable :/'
      }
      failure {
        echo 'I failed :((('
        echo GetLog("${BUILD_URL}")
      }
      changed {
        echo 'things were different before...'
      }
    }

}
